﻿using System;
using System.IO;
using System.Xml.Serialization;

namespace CV8
{
    [Serializable]
    public class MyXmlClass
    {
        public int X1 { get; set; }

        [XmlAttribute("SecondX")]
        public double X2 { get; set; }

        [XmlIgnore]
        public string Y { get; set; }

        public string Z { get; set; }

        public override string ToString()
        {
            using (MemoryStream ms = new MemoryStream())
            using (StreamReader sr = new StreamReader(ms))
            {
                XmlSerializer se = new XmlSerializer(typeof(MyXmlClass));
                se.Serialize(ms, this);
                ms.Seek(0, SeekOrigin.Begin);

                return sr.ReadToEnd();
            }
        }

        public static void SerializeToFile(MyXmlClass obj, string file)
        {
            using (FileStream stream = File.OpenWrite(file))
            {
                XmlSerializer se = new XmlSerializer(typeof(MyXmlClass));
                se.Serialize(stream, obj);
            }
        }

        public static MyXmlClass DeserializeFromFile(string file)
        {
            using (FileStream stream = File.OpenRead(file))
            {
                XmlSerializer se = new XmlSerializer(typeof(MyXmlClass));
                return (MyXmlClass)se.Deserialize(stream);
            }
        }
    }
}
